package com.supervision.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.manage.pojo.vo.MedicalRecManageVO;
import com.supervision.vo.manage.MedicalRecPageResVO;
import com.supervision.manage.service.MedicalRecManageService;
import com.supervision.model.Disease;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Api(tags = "病历管理")
@RestController
@RequestMapping("medicalRecManage")
@RequiredArgsConstructor
public class MedicalRecManageController {

    private final MedicalRecManageService medicalRecManageService;

    @ApiOperation("初步诊断下拉列表联想")
    @GetMapping("queryDiseaseListByKeyWord")
    public List<Disease> queryDiseaseListByKeyWord(@NotBlank(message = "关键字不能为空") String keyword) {
        return medicalRecManageService.queryDiseaseListByKeyWord(keyword);
    }

    @ApiOperation("病历管理分页查询")
    @GetMapping("queryMedicalRecPage")
    public IPage<MedicalRecPageResVO> queryMedicalRecManagePage(@ApiParam("主诉") String selfDescKeyword,
                                                          @ApiParam("性别") String gender,
                                                          @ApiParam("疾病ID") String diseaseId,
                                                          Integer pageNum, Integer pageSize) {
        return medicalRecManageService.queryMedicalRecManagePage(selfDescKeyword, gender, diseaseId, pageNum, pageSize);
    }

    @ApiOperation("创建病历")
    @PostMapping("createMedicalRec")
    public void createMedicalRec(@RequestBody MedicalRecManageVO reqVO){

    }



}
