package com.supervision.manage.pojo.vo;

import com.supervision.model.AskPatientAnswer;
import com.supervision.model.MedicalRec;
import com.supervision.model.Patient;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "病历管理创建及新建", parent = MedicalRec.class)
public class MedicalRecManageVO extends MedicalRec {

    @ApiModelProperty("step:1 基础信息")
    private Patient patient;

    @NotBlank(message = "疾病不能为空")
    @ApiModelProperty("step:1 疾病ID(目前只支持单选疾病,且修改时不允许变更)")
    private String diseaseId;

    @ApiModelProperty("step:4 应答策略")
    private List<AskPatientAnswer> qaList;

}
