package com.supervision.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.MedicalRec;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.manage.MedicalRecPageResVO;
import org.apache.ibatis.annotations.Param;

/**
 * @author flevance
 * @description 针对表【vp_medical_rec(病历表)】的数据库操作Mapper
 * @createDate 2023-11-03 11:25:43
 * @Entity com.supervision.model.MedicalRec
 */
public interface MedicalRecMapper extends BaseMapper<MedicalRec> {

    /**
     * 后台管理-病历管理-列表查询
     *
     * @param selfDescKeyword 主诉
     * @param gender          性别
     * @param diseaseId       疾病ID
     * @param page            分页
     * @return 结果
     */
    IPage<MedicalRecPageResVO> queryMedicalRecManagePage(@Param("selfDescKeyword") String selfDescKeyword,
                                                         @Param("gender") String gender,
                                                         @Param("diseaseId") String diseaseId, @Param("page") Page<MedicalRecPageResVO> page);

    /**
     * 生成一个病历编码,是最大的病历编码+1
     * @param code 医院名称缩写
     * @param gender 性别 M 男 F 女
     * @param id 记录ID
     */
    void updateMedicalRecNo(@Param("code") String code, @Param("gender") String gender, @Param("id") String id);

}




