package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 诊断问询-针对患者的回复
 * @TableName vp_ask_patient_answer
 */
@TableName(value ="vp_ask_patient_answer",autoResultMap = true)
@Data
public class AskPatientAnswer implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病人ID
     */
    private String patientId;


    @ApiModelProperty("病例id")
    private String medicalId;

    /**
     * 问题库问题ID
     */
    @ApiModelProperty(" 问题库问题ID")
    private String libraryQuestionId;

    /**
     * 回答
     */
    @ApiModelProperty(" 回答")
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> answer;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}