package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 体格检查位置表配置表
 * @TableName vp_config_physical_location
 */
@TableName(value ="vp_config_physical_location")
@Data
@ApiModel
public class ConfigPhysicalLocation implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    private String code;

    /**
     * 位置分类
     */
    @ApiModelProperty("位置分类")
    private String locationClass;

    /**
     * 位置名称
     */
    @ApiModelProperty("位置名称")
    private String locationName;


    @ApiModelProperty("部位层级")
    private String level;

    @ApiModelProperty("父级Id")
    private String parentId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}