package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 体格检查工具配置表
 *
 * @TableName vp_config_physical_tool
 */
@TableName(value = "vp_config_physical_tool", autoResultMap = true)
@Data
@ApiModel
public class ConfigPhysicalTool implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 体格检查类别
     */
    @ApiModelProperty("体格检查类别")
    private String type;

    /**
     * 体格检查工具编码
     */
    @ApiModelProperty("体格检查工具编码")
    private String code;

    /**
     * 体格检查工具名称
     */
    @ApiModelProperty("体格检查工具名称")
    private String toolName;

    @ApiModelProperty("体格检查工具图表的base64")
    private String iconBase64;

    /**
     * 是否需要具体部位(0否1是)
     */
    @ApiModelProperty("是否需要具体部位(0否1是)")
    private Integer requireLocation;

    @ApiModelProperty("呼出问题")
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> callOutQuestion;


    @ApiModelProperty("检查类型排序")
    private Integer typePriority;

    @ApiModelProperty("code排序")
    private Integer codePriority;

    @ApiModelProperty("关键词")
    private String keyword;

    @ApiModelProperty("说明")
    private String description;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}