package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 辅助检查记录表
 * @TableName vp_diagnosis_ancillary_record
 */
@TableName(value ="vp_diagnosis_ancillary_record")
@Data
@ApiModel
public class DiagnosisAncillaryRecord extends Model<DiagnosisAncillaryRecord> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程ID
     */
    @ApiModelProperty("流程ID")
    private String processId;

    /**
     * 辅助检查项ID
     */
    @ApiModelProperty("辅助检查项ID")
    private String ancillaryId;

    /**
     * 项目ID
     */
    @ApiModelProperty("项目ID")
    private String itemId;

    /**
     * 初步诊断ID
     */
    @ApiModelProperty("初步诊断ID")
    private String primaryId;

    /**
     * 检查结果
     */
    @ApiModelProperty("检查结果")
    private String result;

    /**
     * 创建人ID
     */
    @ApiModelProperty("")
    private String createUserId;

    /**
     * 创建时间
     */
    @ApiModelProperty("")
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}