package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 体格检查记录
 * @TableName vp_diagnosis_physical_record
 */
@TableName(value ="vp_diagnosis_physical_record")
@Data
@ApiModel
public class DiagnosisPhysicalRecord extends Model<DiagnosisPhysicalRecord> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 诊断进程ID
     */
    @ApiModelProperty("诊断进程ID")
    private String processId;

    /**
     * 体格检查项ID
     */
    @ApiModelProperty("体格检查项ID")
    private String physicalId;

    /**
     * 体格检查工具ID
     */
    @ApiModelProperty("体格检查工具ID")
    private String toolId;

    /**
     * 体格检查部位ID
     */
    @ApiModelProperty("体格检查部位ID")
    private String locationId;

    /**
     * 初步诊断ID
     */
    @ApiModelProperty("初步诊断ID")
    private String primaryId;

    /**
     * 体格检查结果
     */
    @ApiModelProperty("体格检查结果")
    private String result;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}