package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 疾病名称
 * @TableName vp_disease
 */
@TableName(value ="vp_disease", autoResultMap = true)
@Data
@ApiModel
public class Disease implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;


    @ApiModelProperty("疾病名称")
    private String diseaseName;

    /**
     * 疾病编码
     */
    @ApiModelProperty("疾病编码")
    private String code;


    @ApiModelProperty("包含的疾病id")
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> containDiseaseIds;

    /**
     * 状态 0未训练 1已训练
     */
    @ApiModelProperty("状态 0未训练 1已训练")
    private Integer status;

    @ApiModelProperty("疾病类型 0单一疾病 1 复合疾病")
    private Integer diseaseType;

    @ApiModelProperty("症状")
    private String symptom;

    /**
     * 创建人ID
     */
    @ApiModelProperty(hidden = true)
    private String createUserId;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @ApiModelProperty(hidden = true)
    private String updateUserId;

    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = true)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}