package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 病历表
 *
 * @TableName vp_medical_rec
 */
@TableName(value = "vp_medical_rec", autoResultMap = true)
@Data
public class MedicalRec extends Model<MedicalRec> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病例编号
     */
    private String no;

    /**
     * 病人ID
     */
    private String patientId;

    /**
     * 疾病id
     */
    private String diseaseId;

    /**
     * 患者主诉
     */
    private String patientSelfDesc;

    /**
     * 症状
     */
    private String symptoms;

    @ApiModelProperty("初步诊断依据")
    private String primarilyDiagnosisCriteria;

    @ApiModelProperty("证实诊断依据")
    private String confirmDiagnosisCriteria;

    @ApiModelProperty("鉴别诊断依据")
    private String differentialDiagnosisCriteria;

    @ApiModelProperty("全面检查")
    private String fullCheck;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}