package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 诊断进程表
 * @TableName vp_process
 */
@TableName(value ="vp_process")
@Data
@ApiModel
public class Process implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病人ID
     */
    @ApiModelProperty("病人ID")
    private String patientId;

    @ApiModelProperty("病历ID")
    private String medicalRecId;

    @ApiModelProperty("疾病ID")
    private String diseaseId;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private String userId;

    /**
     * 任务状态 0进行中 1已完成
     */
    @ApiModelProperty("任务状态 -1未开始 0进行中 1已完成")
    private Integer status;

    @ApiModelProperty("实例类型 0：学习实例 1:考核实例")
    private Integer processType;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}