package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 考核评估
 * @TableName vp_process_evaluation
 */
@TableName(value ="vp_process_evaluation")
@Data
public class ProcessEvaluation implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程id
     */
    private String processId;

    /**
     * 评分概述
     */
    private String overview;

    /**
     * 预期诊断评估
     */
    private String expectDiagnosis;

    /**
     * 初步诊断评估
     */
    private String primarilyDiagnosis;

    /**
     * 证实诊断评估
     */
    private String confirmDiagnosis;

    /**
     * 鉴别依据评估
     */
    private String differentialDiagnosis;

    /**
     * 全面检查评估
     */
    private String fullCheck;

    /**
     * 处置方案评估
     */
    private String treatmentPlan;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}