package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 问诊流程病历
 * @TableName vp_process_medical
 */
@TableName(value ="vp_process_medical")
@Data
public class ProcessMedical implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病历ID
     */
    private String medicalRecId;

    /**
     * 病人ID
     */
    private String patientId;

    /**
     * 疾病id
     */
    private String diseaseId;

    /**
     * 患者主诉
     */
    private String patientSelfDesc;

    /**
     * 现病史
     */
    private String illnessHistory;

    /**
     * 过敏史
     */
    private String allergyHistory;

    /**
     * 既往史
     */
    private String previousHistory;

    /**
     * 家族史
     */
    private String familyHistory;

    /**
     * 婚育史
     */
    private String marriageChildHistory;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}