package com.supervision.service;

import com.supervision.model.DiagnosisPhysicalRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.ask.AskPhysicalHistoryResVO;
import com.supervision.vo.result.PhysicalRecordByResultDAO;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_physical_record(体格检查记录)】的数据库操作Service
* @createDate 2023-10-20 17:19:21
*/
public interface DiagnosisPhysicalRecordService extends IService<DiagnosisPhysicalRecord> {

    /**
     * 最终诊断-体格检查记录
     * @param processId 流程ID
     * @return list
     */
    List<PhysicalRecordByResultDAO> queryPhysicalResultByProcessId(String processId);

    /**
     * 查询体格检查记录
     * @param processId 流程ID
     * @return list
     */
    List<AskPhysicalHistoryResVO> queryAskPhysicalHistory(String processId);


}
