package com.supervision.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.model.MedicalRec;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.manage.MedicalRecPageResVO;

/**
* @author flevance
* @description 针对表【vp_medical_rec(病历表)】的数据库操作Service
* @createDate 2023-11-03 11:25:43
*/
public interface MedicalRecService extends IService<MedicalRec> {

    /**
     * 后台管理-病历管理-列表查询
     * @param selfDescKeyword 主诉
     * @param gender 性别
     * @param diseaseId 疾病ID
     * @return 结果
     */
    IPage<MedicalRecPageResVO> queryMedicalRecManagePage(String selfDescKeyword, String gender, String diseaseId, Integer pageNum, Integer pageSize);

    /**
     * 生成一个病历编码,是最大的病历编码+1
     * @param code 医院名称缩写
     * @param gender 性别 M 男 F 女
     * @param id 记录ID
     */
    void updateMedicalRecNo(String code,String gender,String id);

}
