package com.supervision.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.DiagnosisAncillaryRecord;
import com.supervision.service.DiagnosisAncillaryRecordService;
import com.supervision.mapper.DiagnosisAncillaryRecordMapper;
import com.supervision.vo.ask.AskAncillaryHistoryResVO;
import com.supervision.vo.result.AncillaryRecordByResultDAO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_ancillary_record(辅助检查记录表)】的数据库操作Service实现
* @createDate 2023-10-20 17:19:21
*/
@Service
public class DiagnosisAncillaryRecordServiceImpl extends ServiceImpl<DiagnosisAncillaryRecordMapper, DiagnosisAncillaryRecord>
    implements DiagnosisAncillaryRecordService{

    /**
     * 最终结束问诊 - 辅助检查记录
     */
    public List<AncillaryRecordByResultDAO> queryAncillaryResultByProcessId(String processId){
        return this.baseMapper.queryAncillaryResultByProcessId(processId);
    }

    @Override
    public List<AskAncillaryHistoryResVO> queryAncillaryRecord(String processId) {
        return this.baseMapper.queryAncillaryRecord(processId);
    }
}




