package com.supervision.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.DiagnosisPhysicalRecord;
import com.supervision.service.DiagnosisPhysicalRecordService;
import com.supervision.mapper.DiagnosisPhysicalRecordMapper;
import com.supervision.vo.ask.AskPhysicalHistoryResVO;
import com.supervision.vo.result.PhysicalRecordByResultDAO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_physical_record(体格检查记录)】的数据库操作Service实现
* @createDate 2023-10-20 17:19:21
*/
@Service
public class DiagnosisPhysicalRecordServiceImpl extends ServiceImpl<DiagnosisPhysicalRecordMapper, DiagnosisPhysicalRecord>
    implements DiagnosisPhysicalRecordService{

    /**
     * 最终诊断-体格检查记录
     */
    @Override
    public List<PhysicalRecordByResultDAO>  queryPhysicalResultByProcessId(String processId) {
        return this.baseMapper.queryPhysicalResultByProcessId(processId);
    }

    @Override
    public List<AskPhysicalHistoryResVO> queryAskPhysicalHistory(String processId) {
        return this.baseMapper.queryAskPhysicalHistory(processId);
    }
}




