package com.supervision.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.dto.DiseaseAncillaryDto;
import com.supervision.exception.BusinessException;
import com.supervision.model.DiseaseAncillary;
import com.supervision.service.DiseaseAncillaryService;
import com.supervision.mapper.DiseaseAncillaryMapper;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.function.Supplier;

/**
* @author flevance
* @description 针对表【vp_disease_ancillary(疾病辅助检查)】的数据库操作Service实现
* @createDate 2023-10-20 17:19:21
*/
@Service
@RequiredArgsConstructor
public class DiseaseAncillaryServiceImpl extends ServiceImpl<DiseaseAncillaryMapper, DiseaseAncillary>
    implements DiseaseAncillaryService{

    private final DiseaseAncillaryMapper diseaseAncillaryMapper;
    @Override
    public List<DiseaseAncillaryDto> queryDiseaseAncillaryDtoList(DiseaseAncillary diseaseAncillary) {

        if (null == diseaseAncillary){
            throw new BusinessException("diseaseAncillary is empty");
        }

        return diseaseAncillaryMapper.queryDiseaseAncillaryDtoList(diseaseAncillary);
    }

    @Override
    public DiseaseAncillaryDto queryDiseaseAncillaryDtoOne(DiseaseAncillary diseaseAncillary, Supplier<DiseaseAncillaryDto> other) {
        List<DiseaseAncillaryDto> diseaseAncillaryDtos = this.queryDiseaseAncillaryDtoList(diseaseAncillary);
        if (CollectionUtil.isEmpty(diseaseAncillaryDtos)){
            return other.get();
        }
        return diseaseAncillaryDtos.get(0);
    }


}




