package com.supervision.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.MedicalRec;
import com.supervision.service.MedicalRecService;
import com.supervision.mapper.MedicalRecMapper;
import com.supervision.vo.manage.MedicalRecPageResVO;
import org.springframework.stereotype.Service;

/**
* @author flevance
* @description 针对表【vp_medical_rec(病历表)】的数据库操作Service实现
* @createDate 2023-11-03 11:25:43
*/
@Service
public class MedicalRecServiceImpl extends ServiceImpl<MedicalRecMapper, MedicalRec>
    implements MedicalRecService{

    /**
     * 后台管理-病历管理-列表查询
     * @param selfDescKeyword 主诉
     * @param gender 性别
     * @param diseaseId 疾病ID
     * @return 结果
     */
    @Override
    public IPage<MedicalRecPageResVO> queryMedicalRecManagePage(String selfDescKeyword, String gender, String diseaseId, Integer pageNum, Integer pageSize) {
        return this.baseMapper.queryMedicalRecManagePage(selfDescKeyword, gender, diseaseId, new Page<>(pageNum,pageSize));
    }

    /**
     * 生成一个病历编码,是最大的病历编码+1
     * @param code 医院名称缩写
     * @param gender 性别 M 男 F 女
     * @param id 记录ID
     */
    @Override
    public void updateMedicalRecNo(String code,String gender,String id) {
        this.baseMapper.updateMedicalRecNo(code, gender, id);
    }
}




