package com.supervision.rasa.controller;


import cn.hutool.core.util.StrUtil;
import com.supervision.exception.BusinessException;
import com.supervision.rasa.service.RasaFileService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@Api(tags = "rasa文件保存")
@RestController
@RequestMapping("rasaFile")
@RequiredArgsConstructor
public class RasaFileController {

    private final RasaFileService rasaFileService;

    @ApiOperation("接受并保存rasa文件")
    @PostMapping("/saveRasaFile")
    public String saveRasaFile(@RequestParam("file") MultipartFile file, @RequestParam("modelId") String modelId) throws IOException {

        if (file == null || file.isEmpty()) {
            throw new BusinessException("file is empty");
        }
        if (StrUtil.isEmpty(modelId)){
            throw new BusinessException("modelId is empty");
        }
        rasaFileService.saveRasaFile(file,modelId);
        return "success";

    }
}
