package com.supervision.controller;

import com.supervision.vo.ask.AncillaryItemReqVo;
import com.supervision.vo.ask.AskAncillaryHistoryResVO;
import com.supervision.pojo.vo.AskAncillaryResultReqVO;
import com.supervision.pojo.vo.ConfigAncillaryItemResVO;
import com.supervision.service.AskAncillaryService;
import com.supervision.vo.ask.DiagnosisAncillaryRecordVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "辅助检查")
@RestController
@RequestMapping("askAncillary")
@RequiredArgsConstructor
public class AskAncillaryController {

    private final AskAncillaryService askAncillaryService;

    @ApiOperation("查询辅助检查项目列表")
    @GetMapping("queryAncillaryItemList")
    public List<ConfigAncillaryItemResVO> queryAncillaryItemList(AncillaryItemReqVo ancillaryItemReqVo) {
        return askAncillaryService.queryAncillaryItemList(ancillaryItemReqVo);
    }

    @ApiOperation("进行辅助检查,并获取结果")
    @GetMapping("queryAskAncillaryResult")
    public DiagnosisAncillaryRecordVo execAskAncillaryResult(AskAncillaryResultReqVO reqVO) {
        return askAncillaryService.execAskAncillaryResult(reqVO);
    }

    @ApiOperation("查询辅助检查的历史记录")
    @GetMapping("queryAskAncillaryHistory")
    public List<AskAncillaryHistoryResVO> queryAskAncillaryHistory(String processId) {
        return askAncillaryService.queryAskAncillaryHistory(processId);
    }


}
