package com.supervision.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.model.Patient;
import com.supervision.service.AskPatientService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "病人")
@RestController
@RequestMapping("/askPatient")
@RequiredArgsConstructor
public class AskPatientController {

    private final AskPatientService askPatientService;

    @ApiOperation("分页获取病人列表")
    @GetMapping("queryPatientPage")
    public IPage<Patient> queryPatientPage(Integer pageNum, Integer pageSize) {
        return askPatientService.queryPatientPage(pageNum, pageSize);
    }

    @ApiOperation("根据病人ID获取病人详细信息")
    @GetMapping("queryPatientInfo")
    public Patient queryPatientInfo(String id) {
        return askPatientService.queryPatientById(id);
    }
}
