package com.supervision.controller;

import com.supervision.pojo.vo.AskPhysicalResultReqVO;
import com.supervision.pojo.vo.ConfigPhysicalToolResVO;
import com.supervision.service.AskPhysicalService;
import com.supervision.vo.ask.DiagnosisPhysicalRecordVo;
import com.supervision.vo.ask.AskPhysicalHistoryResVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "体格检查")
@RestController
@RequestMapping("askPhysical")
@RequiredArgsConstructor
@Validated
public class AskPhysicalController {

    private final AskPhysicalService askPhysicalService;

    @ApiOperation(value = "查询体格检查的工具列表")
    @GetMapping("queryPhysicalToolList")
    public List<ConfigPhysicalToolResVO> queryPhysicalToolList() {
        return askPhysicalService.queryPhysicalToolList();
    }

    @ApiOperation(value = "查询体格检查的结果(执行体格检查)")
    @GetMapping("queryAskPhysicalResult")
    public DiagnosisPhysicalRecordVo queryAskPhysicalResult(AskPhysicalResultReqVO reqVO) {
        return askPhysicalService.queryAskPhysicalResult(reqVO);
    }

    @ApiOperation(value = "查询体格检查历史记录")
    @GetMapping("queryAskPhysicalHistory")
    public List<AskPhysicalHistoryResVO> queryAskPhysicalHistory(String processId){
        return askPhysicalService.queryAskPhysicalHistory(processId);
    }
}
