package com.supervision.controller;

import com.supervision.model.Process;
import com.supervision.model.User;
import com.supervision.service.AskProcessService;
import com.supervision.util.UserUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "诊断流程")
@RestController
@RequestMapping("askProcess")
@RequiredArgsConstructor
public class AskProcessController {

    private final AskProcessService askProcessService;

    @ApiOperation("生成诊断流程任务")
    @GetMapping("creatDiagnosisProcess")
    public Process creatDiagnosisProcess(@ApiParam("病人ID") String patientId,@ApiParam("病历ID") String medicalId) {
        User user = UserUtil.getUser();
        return askProcessService.creatDiagnosisProcess(patientId, medicalId, user);
    }

    @ApiOperation("查询用户正在诊断中的诊断记录")
    @GetMapping("queryUserProcess")
    public List<Process> queryUserProcess(String userId) {
        return askProcessService.queryUserProcess(userId);
    }
}
