package com.supervision.controller;

import cn.hutool.core.util.StrUtil;
import com.supervision.exception.BusinessException;
import com.supervision.model.DiagnosisQaRecord;
import com.supervision.service.DiagnosisQaRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "问诊历史记录")
@RestController
@RequestMapping("/diagnosisQaRecord")
@RequiredArgsConstructor
public class DiagnosisQaRecordController {


    private final DiagnosisQaRecordService diagnosisQaRecordService;
    @ApiOperation("查询问诊历史记录")
    @GetMapping("queryHistoryList")
    public List<DiagnosisQaRecord> queryDiagnosisHistoryQaList(String processId){
        if (StrUtil.isEmpty(processId)){
            throw new BusinessException("processId is empty");
        }
        return diagnosisQaRecordService.queryByProcessId(processId);
    }
}
