package com.supervision.controller;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.supervision.domain.GlobalResult;
import com.supervision.service.RasaService;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("rasa")
@RequiredArgsConstructor
public class RasaController {

    private final RasaService rasaService;

    @ApiOperation("生成rasa的yml文件")
    @GetMapping("generateRasaYml")
    public GlobalResult<String> generateRasaYml(String patientId) {
        return rasaService.generateRasaYml(patientId);
    }

    @ApiOperation("训练rasa")
    @GetMapping("trainRasa")
    public GlobalResult<String> trainRasa(String patientId) throws JsonProcessingException {
        return rasaService.trainRasa(patientId);
    }

    @ApiOperation("运行Rasa")
    @GetMapping("runRasa")
    public GlobalResult<String> runRasa(String patientId) throws JsonProcessingException {
        return rasaService.runRasa(patientId);
    }


}
